Method
GET /v1/collections/:id/matches
Path Parameters
string
required
Collection ID
Headers
string
required
Bearer token (e.g.
Authorization: Bearer YOUR_API_KEY)Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl https://api.voyantcloud.com/v1/collections/col_123/matches \
-H "Authorization: Bearer YOUR_API_KEY"
await fetch("https://api.voyantcloud.com/v1/collections/col_123/matches", {
headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
})
import os, requests
requests.get("https://api.voyantcloud.com/v1/collections/col_123/matches", headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"})
{
"items": [
{
"productId": "prod_123"
}
]
}
Preview the products that match a collection’s rules.
curl https://api.voyantcloud.com/v1/collections/col_123/matches \
-H "Authorization: Bearer YOUR_API_KEY"
await fetch("https://api.voyantcloud.com/v1/collections/col_123/matches", {
headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
})
import os, requests
requests.get("https://api.voyantcloud.com/v1/collections/col_123/matches", headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"})
{
"items": [
{
"productId": "prod_123"
}
]
}
GET /v1/collections/:id/matches
Authorization: Bearer YOUR_API_KEY)curl https://api.voyantcloud.com/v1/collections/col_123/matches \
-H "Authorization: Bearer YOUR_API_KEY"
await fetch("https://api.voyantcloud.com/v1/collections/col_123/matches", {
headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
})
import os, requests
requests.get("https://api.voyantcloud.com/v1/collections/col_123/matches", headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"})
{
"items": [
{
"productId": "prod_123"
}
]
}